
QGIS Application - Bug report #21144

Snapping tooltips + advanced digitizing QGIS not responding

2019-01-31 05:20 PM - Nikolai Krawczak

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28962

Description

A combination of snapping tooltips and advanced digitizing is not working. QGIS becomes unresponsive.
History

#1 - 2019-01-31 05:34 PM - Jan Lippmann

I can confirm. same  issue today in my workshop...

#2 - 2019-01-31 05:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Also on a new/clean profile (no 3rd party plugins installed)?

#3 - 2019-01-31 06:08 PM - Nikolai Krawczak

Giovanni Manghi wrote:

Also on a new/clean profile (no 3rd party plugins installed)?

yes, I used a fresh profile for confirmation.

#4 - 2019-02-01 12:05 AM - Nyall Dawson

I can't reproduce on Linux -- possible windows specific?

#5 - 2019-02-01 04:29 PM - Nikolai Krawczak

Nyall Dawson wrote:

I can't reproduce on Linux -- possible windows specific?
maybe even windows version specific - I can't reproduce on Win 10

#6 - 2019-02-01 10:11 PM - Jan Lippmann

In my case, it's an issue on Win 7 64 bit. Also with actual master.

#7 - 2019-02-02 11:32 AM - Jan Lippmann

I can confirm with NO issue on Linux...

#8 - 2019-02-12 01:42 PM - Almerio Moreira

I CAN confirm same issue with Windows 7 Professional 64 bits!

#9 - 2019-02-12 11:31 PM - Urs Kaufmann

I can confirm on Win 7 Prof, I can not confirm on Mac OS 10.14.3

But on both systems, QGIS crashes on exit, if I before used advanced digitizing and enabled snapping together

#10 - 2019-02-13 10:58 AM - Giovanni Manghi

But on both systems, QGIS crashes on exit, if I before used advanced digitizing and enabled snapping together

even on a new/clean profile (no 3rd party plugins installed)?

#11 - 2019-02-13 02:01 PM - Almerio Moreira

even on a new/clean profile (no 3rd party plugins installed)?

On a new/clean profile it worked fine on Windows 7, but I got the following issue on close:

Crash ID: 951373503a103ea02a4b994f442bf9beef9027b4

Stack Trace

QgsSnapIndicator::~QgsSnapIndicator :

QgsAdvancedDigitizingCanvasItem::~QgsAdvancedDigitizingCanvasItem :

QgsAdvancedDigitizingDockWidget::CadConstraint::operator= :

QgsMapCanvas::~QgsMapCanvas :

QgsVectorLayerProperties::`default constructor closure' :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
#12 - 2019-02-13 03:19 PM - Urs Kaufmann

But on both systems, QGIS crashes on exit, if I before used advanced digitizing and enabled snapping together

even on a new/clean profile (no 3rd party plugins installed)?

Yes, the crash is also on a new profile

#13 - 2019-02-13 03:21 PM - Giovanni Manghi

- Status changed from Feedback to Open

#14 - 2019-02-13 04:53 PM - Giovanni Manghi

Almerio Moreira wrote:

even on a new/clean profile (no 3rd party plugins installed)?

On a new/clean profile it worked fine on Windows 7, but I got the following issue on close:

so the issue described here does not show on a new/clean profile?

the crash on exit is probably unrelated, and there are a ton of other similar reports about it.

#15 - 2019-02-13 04:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

#16 - 2019-02-13 07:27 PM - Jan Lippmann

i can confirm nikolai..

its an issue on a new/clean profile (no 3rd party plugins installed!) AND WIN 7!

there is no crash with the crashreport window...qgis freeze/hang and takes cpu time and eat's ram while hanging...

#17 - 2019-02-13 07:43 PM - Almerio Moreira

Giovanni Manghi wrote:

Almerio Moreira wrote:

even on a new/clean profile (no 3rd party plugins installed)?

On a new/clean profile it worked fine on Windows 7, but I got the following issue on close:

so the issue described here does not show on a new/clean profile?

the crash on exit is probably unrelated, and there are a ton of other similar reports about it.
I have no problem with a clean profile on Win 7, but this Crash on exit is for sure related to the combination of advanced digitizing and enabled snapping

together, as you can see on stack trace I posted on #11 and for many tests I did.

#18 - 2019-02-13 07:51 PM - Giovanni Manghi

- Status changed from Feedback to Open

#19 - 2019-02-13 10:57 PM - Urs Kaufmann

My experience: the effect of the clean profile is, that the "show snapping tooltips" is off (as shown in the video above). If I turn on and off these snapping

tooltips in "old" profiles I can control the freezing (so turn it off). But I can not control the crash on exit QGIS...

#20 - 2019-02-14 12:55 PM - Almerio Moreira

Urs Kaufmann wrote:

My experience: the effect of the clean profile is, that the "show snapping tooltips" is off (as shown in the video above). If I turn on and off these

snapping tooltips in "old" profiles I can control the freezing (so turn it off). But I can not control the crash on exit QGIS...

Yes, you are right!!!

By turning off snapping tooltips it works good even with "Dirty" profile!

But the crash on exit continues

#21 - 2019-03-01 12:02 PM - Jochen Schwarze

Observed the same issue with 3.4.5 LTR, 3.6.0 and 3.7.0 on WIN 10, no 3rd party plugins installed.

#22 - 2019-03-01 08:38 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.4 to 3.7(master)

- Regression? changed from No to Yes
